# -*- encoding : utf-8 -*-

class Admin::PFournisseurOrdersController < ApplicationController
  layout "admin"
  before_filter :auth_admin

  before_filter :admin_space
  
  def admin_space
    @admin_space = "stocks"
  end

  def index
    @p_fournisseur_orders = PFournisseurOrder.order("enter_date DESC").all

   
  end

  def show
    @p_fournisseur_order = PFournisseurOrder.find(params[:id])

  end

  def new
    
    
		@p_fournisseur_order = PFournisseurOrder.new(:enter_date => Time.now)
    

  end

 

  def edit
  
    
    @p_fournisseur_order = PFournisseurOrder.find(params[:id])
  end

  def create
    @p_fournisseur_order = PFournisseurOrder.new(params.require(:p_fournisseur_order).permit!)


    if @p_fournisseur_order.save
     @p_fournisseur_orders = PFournisseurOrder.order("enter_date DESC").all
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_fournisseur_order = PFournisseurOrder.find(params[:id])


    if @p_fournisseur_order.update_attributes(params.require(:p_fournisseur_order).permit!)
      
       @p_fournisseur_orders = PFournisseurOrder.order("enter_date DESC").all
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_fournisseur_order = PFournisseurOrder.find(params[:id])
    @p_fournisseur_order.destroy
    
    
  end
end
